DefaultEnvironment (Barbecue 1.0.6d API)
Keywords: net.sourceforge.barbecue.env.DefaultEnvironment class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.barbecue.env
Class DefaultEnvironment

    java.lang.Object
      net.sourceforge.barbecue.env.DefaultEnvironment

All Implemented Interfaces:
  Environment

public final class DefaultEnvironment
extends java.lang.Object
implements Environment

An environment that represents machines that have access to the windowing system or output device.

Author:
  Ian Bourke

Field Summary
`static java.awt.Font` | `DEFAULT_FONT` The default font for drawing the barcode data underneath the bars

Constructor Summary
`DefaultEnvironment()`

Method Summary
`java.awt.Font` | `getDefaultFont()` Returns the default font for the environment.
`int` | `getResolution()` Returns the environment determined resolution for outputting barcodes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_FONT

    public static final java.awt.Font DEFAULT_FONT

  The default font for drawing the barcode data underneath the bars

Constructor Detail

### DefaultEnvironment

    public DefaultEnvironment()

Method Detail

### getResolution

    public int getResolution()

  Returns the environment determined resolution for outputting barcodes.

  Specified by:
    `getResolution` in interface `Environment`
  Returns:
    The resolution for the environment

### getDefaultFont

    public java.awt.Font getDefaultFont()

  Returns the default font for the environment.

  Specified by:
    `getDefaultFont` in interface `Environment`
  Returns:
    The default font for the environment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD